- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_CORBALOC_Parser Class Reference

Implements the <corbaloc:> IOR format. More...

`#include <CORBALOC_Parser.h>`

Inheritance diagram for TAO_CORBALOC_Parser:

[legend]
Collaboration diagram for TAO_CORBALOC_Parser:

[legend]
List of all members.

## Public Member Functions
| TAO_CORBALOC_Parser (void)
| Constructor.
virtual | ~TAO_CORBALOC_Parser (void)
| The destructor.
virtual int | match_prefix (const char *ior_string) const
virtual CORBA::Object_ptr | parse_string (const char *ior, CORBA::ORB_ptr orb) throw (CORBA::SystemException)
| Parse the ior-string that is passed.
## Private Member Functions
CORBA::Object_ptr | make_stub_from_mprofile (CORBA::ORB_ptr orb, TAO_MProfile &mprofile) throw (CORBA::SystemException)
CORBA::Object_ptr | parse_string_rir_helper (const char *corbaloc_name, CORBA::ORB_ptr orb) throw (CORBA::SystemException)
| Gets the pointer to the key_string when the protocol used is RIR.
void | make_canonical (const char *ior, size_t ior_len, ACE_CString &canonical_endpoint) throw (CORBA::SystemException)
## Classes
struct | parsed_endpoint

## Detailed Description

Implements the <corbaloc:> IOR format.

This class implements the <corbaloc:> IOR format. It is dynamically loaded by the ORB and used to parse the string to separate the individual <obj_addr> from the list of object addresses <obj_addr_list>.

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE TAO_CORBALOC_Parser::TAO_CORBALOC_Parser | ( | void |  | ) |

Constructor.

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO_CORBALOC_Parser::~TAO_CORBALOC_Parser | ( | void |  | ) | `[virtual]`

The destructor.

## Member Function Documentation

void TAO_CORBALOC_Parser::make_canonical | ( | const char * | ior,
|  | size_t | ior_len,
|  | ACE_CString & | canonical_endpoint |
| ) |  |  | throw (CORBA::SystemException)`[private]`

CORBA::Object_ptr TAO_CORBALOC_Parser::make_stub_from_mprofile | ( | CORBA::ORB_ptr | orb,
|  | TAO_MProfile & | mprofile |
| ) |  |  | throw (CORBA::SystemException)`[private]`

Make a stub from the MProfile that is created in parse_string_mprofile_helper. Using this stub, create an object reference which is sent to the application.

int TAO_CORBALOC_Parser::match_prefix | ( | const char * | ior_string | ) | const`[virtual]`

= The IOR_Parser methods, please read the documentation in IOR_Parser.h

Implements TAO_IOR_Parser.

CORBA::Object_ptr TAO_CORBALOC_Parser::parse_string | ( | const char * | ior,
|  | CORBA::ORB_ptr | orb |
| ) |  |  | throw (CORBA::SystemException)`[virtual]`

Parse the ior-string that is passed.

Implements TAO_IOR_Parser.

CORBA::Object_ptr TAO_CORBALOC_Parser::parse_string_rir_helper | ( | const char * | corbaloc_name,
|  | CORBA::ORB_ptr | orb |
| ) |  |  | throw (CORBA::SystemException)`[private]`

Gets the pointer to the key_string when the protocol used is RIR.

The documentation for this class was generated from the following files:

- CORBALOC_Parser.h
- CORBALOC_Parser.cpp
- CORBALOC_Parser.i